Update gift card activation status - Fabric

Update gift card activation status

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/shipments/{shipmentId}/actions/update-gift-cards-status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data ' \
{
  "items": [\
    {\
      "giftCards": [\
        {\
          "giftCardNumber": "453456765",\
          "giftCardStatus": "ACTIVE"\
        }\
      ],\
      "shipmentLineItemId": "607f1f77bcf86cd799439011"\
    }\
  ]\
}
'

Python

import requests

url = "https://api.fabric.inc/v3/shipments/{shipmentId}/actions/update-gift-cards-status"

payload = { "items": [\
        {\
            "giftCards": [\
                {\
                    "giftCardNumber": "453456765",\
                    "giftCardStatus": "ACTIVE"\
                }\
            ],\
            "shipmentLineItemId": "607f1f77bcf86cd799439011"\
        }\
    ] }
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    items: [\
      {\
        giftCards: [{giftCardNumber: '453456765', giftCardStatus: 'ACTIVE'}],\
        shipmentLineItemId: '607f1f77bcf86cd799439011'\
      }\
    ]
  })
};

fetch('https://api.fabric.inc/v3/shipments/{shipmentId}/actions/update-gift-cards-status', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.fabric.inc/v3/shipments/{shipmentId}/actions/update-gift-cards-status",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'items' => [\
        [\
                'giftCards' => [\
                                [\
                                                                'giftCardNumber' => '453456765',\
                                                                'giftCardStatus' => 'ACTIVE'\
                                ]\
                ],\
                'shipmentLineItemId' => '607f1f77bcf86cd799439011'\
        ]\
    ]\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json",\
    "x-fabric-channel-id: <x-fabric-channel-id>",\
    "x-fabric-tenant-id: <x-fabric-tenant-id>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.fabric.inc/v3/shipments/{shipmentId}/actions/update-gift-cards-status"

payload := strings.NewReader("{\n  \"items\": [\n    {\n      \"giftCards\": [\n        {\n          \"giftCardNumber\": \"453456765\",
          \"giftCardStatus\": \"ACTIVE\"\n        }\n      ],\n      \"shipmentLineItemId\": \"607f1f77bcf86cd799439011\"\n    }\n  ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
    req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Responses

Example Request Body

{
  "items": [
    {
      "giftCards": [
        {
          "giftCardNumber": "453456765",
          "giftCardStatus": "ACTIVE"
        }
      ],
      "shipmentLineItemId": "607f1f77bcf86cd799439011"
    }
  ]
}

Error Responses

{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Shipment not found",
  "type": "CLIENT_ERROR"
}
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}

Authorizations

Headers